Bug 136401 - update port: games/gemrb to version 0.5.0
Summary: update port: games/gemrb to version 0.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-07 07:00 UTC by Timothy Beyer
Modified: 2009-07-14 00:24 UTC (History)
1 user (show)

See Also:


Attachments
Makefile.diff (284 bytes, patch)
2009-07-07 07:00 UTC, Timothy Beyer
no flags Details | Diff
pkg-plist.diff (5.80 KB, patch)
2009-07-07 07:00 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2009-07-07 07:00:15 UTC
This patch makes the following changes:

-Updates gemrb to the latest version (in Makefile)
-Makes according changes to distinfo
-Makes according changes to pkg-plist

Fix: The included patches

--- distinfo.orig	2009-06-18 03:32:24.000000000 -0700
+++ distinfo	2009-07-06 22:29:15.000000000 -0700
@@ -1,3 +1,3 @@
-MD5 (gemrb-0.4.0.tar.gz) = f01a6b9e91a437a7176d21c61f9a72de
-SHA256 (gemrb-0.4.0.tar.gz) = 4a36126291972520d6ce992873a62430408431f1a8b013bcf25053fc9f9e0a5b
-SIZE (gemrb-0.4.0.tar.gz) = 2029768
+MD5 (gemrb-0.5.0.tar.gz) = 6b371992c1971d2cbefd06233f1edd51
+SHA256 (gemrb-0.5.0.tar.gz) = 795c7ce85ceed60f4f81a451f06969a12d6d812d71e10d85786ef64454f14de1
+SIZE (gemrb-0.5.0.tar.gz) = 2084847
--- distinfo.diff ends here ---
How-To-Repeat:     Apply the patches
Comment 1 Martin Wilke freebsd_committer 2009-07-07 12:00:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-07-07 19:22:55 UTC
State Changed
From-To: open->feedback

Build failed with NOPORTDOCS, 


http://32bit.miwibox.org/index.php?action=describe_port&id=1302 

could you please fix that and resend me a patch.
Comment 3 Timothy Beyer 2009-07-07 23:58:40 UTC
At Tue, 7 Jul 2009 18:23:37 GMT,
miwi@FreeBSD.org wrote:
> 
> Synopsis: update port: games/gemrb to version 0.5.0
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: miwi
> State-Changed-When: Tue Jul 7 18:22:55 UTC 2009
> State-Changed-Why: 
> Build failed with NOPORTDOCS,
> 
> 
> http://32bit.miwibox.org/index.php?action=describe_port&id=1302
> 
> could you please fix that and resend me a patch.
> 
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=136401

Hi, sorry about that! I've never used NOPORTDOCS before, but I have updated the patches to fix that issue; now it compiles, installs and deinstalls with "NOPORTDOCS=true" enabled in /etc/make.conf.

All of the patches in this message should be used instead of my submitted patches in the original report.  (The only patch in the base report that should still be used is distinfo.diff)  Note that pkg-plist.diff was changed to use @dirrmtry on documentation directories, since they may not be installed when NOPORTDOCS is activated.  files.diff patches the files/ directory, since the extra-patch-noportdocs now is 4 separate patches in the files directory.  Makefile.diff simply changes the way EXTRA_PATCHES i s handled.

--- Makefile.diff begins here ---
--- Makefile.orig	2009-06-18 03:32:24.000000000 -0700
+++ Makefile	2009-07-07 15:23:18.000000000 -0700
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	gemrb
-PORTVERSION=	0.4.0
+PORTVERSION=	0.5.0
 CATEGORIES=	games emulators
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -33,7 +33,10 @@
 post-patch:
 .if defined(NOPORTDOCS)
 # TODO: Yep I know this is a ugly way ;/
-EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-noportdocs
+EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-noportdocs-Makefile.am
+EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-noportdocs-Makefile.in
+EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-noportdocs-configure
+EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-noportdocs-gemrb-Makefile.in
 .endif
 
 post-install:
--- Makefile.diff ends here ---

--- files.diff begins here ---
diff -urN files.orig/extra-patch-noportdocs files/extra-patch-noportdocs
--- files.orig/extra-patch-noportdocs	2009-06-17 14:33:25.000000000 -0700
+++ files/extra-patch-noportdocs	1969-12-31 16:00:00.000000000 -0800
@@ -1,127 +0,0 @@
---- Makefile.am.orig	2009-06-11 13:59:05.000000000 +0200
-+++ Makefile.am	2009-06-11 13:59:16.000000000 +0200
-@@ -22,6 +22,3 @@
- 
- install-data-hook:
- 	rm -f $(DESTDIR)$(bindir)/plugins/libgemrb_core.so
--
--docs:
--	doxygen
---- Makefile.in.bak	2009-05-25 20:25:44.000000000 +0200
-+++ Makefile.in	2009-06-11 13:55:59.000000000 +0200
-@@ -178,7 +178,7 @@
- builddir = @builddir@
- datadir = @datadir@
- datarootdir = @datarootdir@
--docdir = @docdir@
-+
- dvidir = @dvidir@
- exec_prefix = @exec_prefix@
- host = @host@
-@@ -743,8 +743,6 @@
- install-data-hook:
- 	rm -f $(DESTDIR)$(bindir)/plugins/libgemrb_core.so
- 
--docs:
--	doxygen
- # Tell versions [3.59,3.63) of GNU make to not export all variables.
- # Otherwise a system limit (for SysV at least) may be exceeded.
- .NOEXPORT:
---- gemrb/Makefile.in.orig	2009-06-17 18:43:55.000000000 +0200
-+++ gemrb/Makefile.in	2009-06-17 18:44:11.000000000 +0200
-@@ -189,7 +189,6 @@
- builddir = @builddir@
- datadir = @datadir@
- datarootdir = @datarootdir@
--docdir = @docdir@
- dvidir = @dvidir@
- exec_prefix = @exec_prefix@
- host = @host@
-@@ -230,7 +229,7 @@
- sysconf_DATA = GemRB.cfg.sample GemRB.cfg.subdir.sample
- gemrb_SOURCES = GemRB.cpp 
- gemrb_LDADD = ./plugins/Core/libgemrb_core.la
--SUBDIRS = plugins includes GUIScripts override docs
-+SUBDIRS = plugins includes GUIScripts override
- EXTRA_DIST = GemRB.cfg* plugins-prepare.sh
- INCLUDES = \
- 	$(all_includes) \
---- configure.orig	2009-05-25 20:25:33.000000000 +0200
-+++ configure	2009-06-17 20:00:39.000000000 +0200
-@@ -896,10 +896,7 @@
- libdir
- psdir
- pdfdir
--dvidir
--htmldir
- infodir
--docdir
- oldincludedir
- includedir
- localstatedir
-@@ -992,12 +989,7 @@
- localstatedir='${prefix}/var'
- includedir='${prefix}/include'
- oldincludedir='/usr/include'
--docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
- infodir='${datarootdir}/info'
--htmldir='${docdir}'
--dvidir='${docdir}'
--pdfdir='${docdir}'
--psdir='${docdir}'
- libdir='${exec_prefix}/lib'
- localedir='${datarootdir}/locale'
- mandir='${datarootdir}/man'
-@@ -1073,11 +1065,6 @@
-     esac
-     eval enable_$ac_useropt=no ;;
- 
--  -docdir | --docdir | --docdi | --doc | --do)
--    ac_prev=docdir ;;
--  -docdir=* | --docdir=* | --docdi=* | --doc=* | --do=*)
--    docdir=$ac_optarg ;;
--
-   -dvidir | --dvidir | --dvidi | --dvid | --dvi | --dv)
-     ac_prev=dvidir ;;
-   -dvidir=* | --dvidir=* | --dvidi=* | --dvid=* | --dvi=* | --dv=*)
-@@ -1383,7 +1370,7 @@
- # Check all directory arguments for consistency.
- for ac_var in	exec_prefix prefix bindir sbindir libexecdir datarootdir \
- 		datadir sysconfdir sharedstatedir localstatedir includedir \
--		oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
-+		oldincludedir infodir \
- 		libdir localedir mandir
- do
-   eval ac_val=\$$ac_var
-@@ -15364,10 +15351,6 @@
- ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- 
- 
--if test "x$docdir" = "x" ; then
--  docdir=$datadir/doc
--fi
--
- # Check whether --enable-subdirs was given.
- if test "${enable_subdirs+set}" = set; then
-   enableval=$enable_subdirs; gemrb_use_subdirs=$enableval
-@@ -25114,7 +25097,7 @@
- 
- 
- 
--ac_config_files="$ac_config_files Makefile gemrb/Makefile gemrb/includes/Makefile gemrb/override/Makefile gemrb/override/bg1/Makefile gemrb/override/bg2/Makefile gemrb/override/how/Makefile gemrb/override/iwd/Makefile gemrb/override/iwd2/Makefile gemrb/override/pst/Makefile gemrb/override/test1/Makefile gemrb/GUIScripts/Makefile gemrb/GUIScripts/bg1/Makefile gemrb/GUIScripts/bg2/Makefile gemrb/GUIScripts/iwd/Makefile gemrb/GUIScripts/iwd2/Makefile gemrb/GUIScripts/pst/Makefile gemrb/GUIScripts/test1/Make file gemrb/plugins/Makefile gemrb/plugins/Core/Makefile gemrb/plugins/2DAImporter/Makefile gemrb/plugins/ACMImporter/Makefile gemrb/plugins/AREImporter/Makefile gemrb/plugins/BAMImporter/Makefile gemrb/plugins/BIFImporter/Makefile gemrb/plugins/BMPImporter/Makefile gemrb/plugins/PNGImporter/Makefile gemrb/plugins/CHUImporter/Makefile gemrb/plugins/CREImporter/Makefile gemrb/plugins/DLGImporter/Makefile gemrb/plugins/EFFImporter/Makefile gemrb/plugins/FXOpcodes/Makefile gemrb
 /!
plugins/IWDOpcodes/Makefile gemrb/plugins/PSTOpcodes/Makefile gemrb/plugins/GAMImporter/Makefile gemrb/plugins/GUIScript/Makefile gemrb/plugins/IDSImporter/Makefile gemrb/plugins/INIImporter/Makefile gemrb/plugins/ITMImporter/Makefile gemrb/plugins/KEYImporter/Makefile gemrb/plugins/MOSImporter/Makefile gemrb/plugins/MUSImporter/Makefile gemrb/plugins/MVEPlayer/Makefile gemrb/plugins/NullSound/Makefile gemrb/plugins/OpenALAudio/Makefile gemrb/plugins/PLTImporter/Makefile gemrb/plugins/PROImporter/Makefile  gemrb/plugins/SDLVideo/Makefile gemrb/plugins/SPLImporter/Makefile gemrb/plugins/STOImporter/Makefile gemrb/plugins/TISImporter/Makefile gemrb/plugins/TLKImporter/Makefile gemrb/plugins/WEDImporter/Makefile gemrb/plugins/WMPImporter/Makefile gemrb/plugins/ZLibMgr/Makefile gemrb/docs/Makefile gemrb/docs/en/Makefile gemrb/docs/en/GUIScript/Makefile gemrb/docs/en/Tables/Makefile gemrb/docs/en/Engine/Makefile"
-+ac_config_files="$ac_config_files Makefile gemrb/Makefile gemrb/includes/Makefile gemrb/override/Makefile gemrb/override/bg1/Makefile gemrb/override/bg2/Makefile gemrb/override/how/Makefile gemrb/override/iwd/Makefile gemrb/override/iwd2/Makefile gemrb/override/pst/Makefile gemrb/override/test1/Makefile gemrb/GUIScripts/Makefile gemrb/GUIScripts/bg1/Makefile gemrb/GUIScripts/bg2/Makefile gemrb/GUIScripts/iwd/Makefile gemrb/GUIScripts/iwd2/Makefile gemrb/GUIScripts/pst/Makefile gemrb/GUIScripts/test1/Make file gemrb/plugins/Makefile gemrb/plugins/Core/Makefile gemrb/plugins/2DAImporter/Makefile gemrb/plugins/ACMImporter/Makefile gemrb/plugins/AREImporter/Makefile gemrb/plugins/BAMImporter/Makefile gemrb/plugins/BIFImporter/Makefile gemrb/plugins/BMPImporter/Makefile gemrb/plugins/PNGImporter/Makefile gemrb/plugins/CHUImporter/Makefile gemrb/plugins/CREImporter/Makefile gemrb/plugins/DLGImporter/Makefile gemrb/plugins/EFFImporter/Makefile gemrb/plugins/FXOpcodes/Makefile gemrb
 /!
plugins/IWDOpcodes/Makefile gemrb/plugins/PSTOpcodes/Makefile gemrb/plugins/GAMImporter/Makefile gemrb/plugins/GUIScript/Makefile gemrb/plugins/IDSImporter/Makefile gemrb/plugins/INIImporter/Makefile gemrb/plugins/ITMImporter/Makefile gemrb/plugins/KEYImporter/Makefile gemrb/plugins/MOSImporter/Makefile gemrb/plugins/MUSImporter/Makefile gemrb/plugins/MVEPlayer/Makefile gemrb/plugins/NullSound/Makefile gemrb/plugins/OpenALAudio/Makefile gemrb/plugins/PLTImporter/Makefile gemrb/plugins/PROImporter/Makefile  gemrb/plugins/SDLVideo/Makefile gemrb/plugins/SPLImporter/Makefile gemrb/plugins/STOImporter/Makefile gemrb/plugins/TISImporter/Makefile gemrb/plugins/TLKImporter/Makefile gemrb/plugins/WEDImporter/Makefile gemrb/plugins/WMPImporter/Makefile gemrb/plugins/ZLibMgr/Makefile"
- 
- cat >confcache <<\_ACEOF
- # This file is a shell script that caches the results of configure
-@@ -26163,11 +26146,6 @@
-     "gemrb/plugins/WEDImporter/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/plugins/WEDImporter/Makefile" ;;
-     "gemrb/plugins/WMPImporter/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/plugins/WMPImporter/Makefile" ;;
-     "gemrb/plugins/ZLibMgr/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/plugins/ZLibMgr/Makefile" ;;
--    "gemrb/docs/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/Makefile" ;;
--    "gemrb/docs/en/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/en/Makefile" ;;
--    "gemrb/docs/en/GUIScript/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/en/GUIScript/Makefile" ;;
--    "gemrb/docs/en/Tables/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/en/Tables/Makefile" ;;
--    "gemrb/docs/en/Engine/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/en/Engine/Makefile" ;;
- 
-   *) { { $as_echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
- $as_echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
diff -urN files.orig/extra-patch-noportdocs-Makefile.am files/extra-patch-noportdocs-Makefile.am
--- files.orig/extra-patch-noportdocs-Makefile.am	1969-12-31 16:00:00.000000000 -0800
+++ files/extra-patch-noportdocs-Makefile.am	2009-07-07 14:50:38.000000000 -0700
@@ -0,0 +1,9 @@
+--- Makefile.am.orig	2009-06-07 06:07:25.000000000 -0700
++++ Makefile.am	2009-07-07 14:50:13.000000000 -0700
+@@ -29,6 +29,3 @@
+ 
+ install-data-hook:
+ 	rm -f $(DESTDIR)$(bindir)/plugins/libgemrb_core.so
+-
+-docs:
+-	doxygen
diff -urN files.orig/extra-patch-noportdocs-Makefile.in files/extra-patch-noportdocs-Makefile.in
--- files.orig/extra-patch-noportdocs-Makefile.in	1969-12-31 16:00:00.000000000 -0800
+++ files/extra-patch-noportdocs-Makefile.in	2009-07-07 14:52:30.000000000 -0700
@@ -0,0 +1,20 @@
+--- Makefile.in.orig	2009-06-25 09:37:05.000000000 -0700
++++ Makefile.in	2009-07-07 14:52:22.000000000 -0700
+@@ -178,7 +178,7 @@
+ builddir = @builddir@
+ datadir = @datadir@
+ datarootdir = @datarootdir@
+-docdir = @docdir@
++
+ dvidir = @dvidir@
+ exec_prefix = @exec_prefix@
+ host = @host@
+@@ -751,8 +751,6 @@
+ install-data-hook:
+ 	rm -f $(DESTDIR)$(bindir)/plugins/libgemrb_core.so
+ 
+-docs:
+-	doxygen
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.
+ .NOEXPORT:
diff -urN files.orig/extra-patch-noportdocs-configure files/extra-patch-noportdocs-configure
--- files.orig/extra-patch-noportdocs-configure	1969-12-31 16:00:00.000000000 -0800
+++ files/extra-patch-noportdocs-configure	2009-07-07 14:58:38.000000000 -0700
@@ -0,0 +1,79 @@
+--- configure.orig	2009-06-25 09:36:53.000000000 -0700
++++ configure	2009-07-07 14:58:31.000000000 -0700
+@@ -896,10 +896,7 @@
+ libdir
+ psdir
+ pdfdir
+-dvidir
+-htmldir
+ infodir
+-docdir
+ oldincludedir
+ includedir
+ localstatedir
+@@ -993,12 +990,7 @@
+ localstatedir='${prefix}/var'
+ includedir='${prefix}/include'
+ oldincludedir='/usr/include'
+-docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
+ infodir='${datarootdir}/info'
+-htmldir='${docdir}'
+-dvidir='${docdir}'
+-pdfdir='${docdir}'
+-psdir='${docdir}'
+ libdir='${exec_prefix}/lib'
+ localedir='${datarootdir}/locale'
+ mandir='${datarootdir}/man'
+@@ -1074,11 +1066,6 @@
+     esac
+     eval enable_$ac_useropt=no ;;
+ 
+-  -docdir | --docdir | --docdi | --doc | --do)
+-    ac_prev=docdir ;;
+-  -docdir=* | --docdir=* | --docdi=* | --doc=* | --do=*)
+-    docdir=$ac_optarg ;;
+-
+   -dvidir | --dvidir | --dvidi | --dvid | --dvi | --dv)
+     ac_prev=dvidir ;;
+   -dvidir=* | --dvidir=* | --dvidi=* | --dvid=* | --dvi=* | --dv=*)
+@@ -1384,7 +1371,7 @@
+ # Check all directory arguments for consistency.
+ for ac_var in	exec_prefix prefix bindir sbindir libexecdir datarootdir \
+ 		datadir sysconfdir sharedstatedir localstatedir includedir \
+-		oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
++		oldincludedir infodir \
+ 		libdir localedir mandir
+ do
+   eval ac_val=\$$ac_var
+@@ -16386,10 +16373,6 @@
+ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+ 
+ 
+-if test "x$docdir" = "x" ; then
+-  docdir=$datadir/doc
+-fi
+-
+ # Check whether --enable-subdirs was given.
+ if test "${enable_subdirs+set}" = set; then
+   enableval=$enable_subdirs; gemrb_use_subdirs=$enableval
+@@ -25919,7 +25902,7 @@
+ 
+ 
+ 
+-ac_config_files="$ac_config_files Makefile gemrb/Makefile gemrb/includes/Makefile gemrb/override/Makefile gemrb/override/bg1/Makefile gemrb/override/bg2/Makefile gemrb/override/how/Makefile gemrb/override/iwd/Makefile gemrb/override/iwd2/Makefile gemrb/override/pst/Makefile gemrb/override/test1/Makefile gemrb/GUIScripts/Makefile gemrb/GUIScripts/bg1/Makefile gemrb/GUIScripts/bg2/Makefile gemrb/GUIScripts/iwd/Makefile gemrb/GUIScripts/iwd2/Makefile gemrb/GUIScripts/pst/Makefile gemrb/GUIScripts/test1/Make file gemrb/plugins/Makefile gemrb/plugins/Core/Makefile gemrb/plugins/2DAImporter/Makefile gemrb/plugins/ACMImporter/Makefile gemrb/plugins/AREImporter/Makefile gemrb/plugins/BAMImporter/Makefile gemrb/plugins/BIFImporter/Makefile gemrb/plugins/BMPImporter/Makefile gemrb/plugins/PNGImporter/Makefile gemrb/plugins/CHUImporter/Makefile gemrb/plugins/CREImporter/Makefile gemrb/plugins/DLGImporter/Makefile gemrb/plugins/EFFImporter/Makefile gemrb/plugins/FXOpcodes/Makefile gemrb
 /!
plugins/IWDOpcodes/Makefile gemrb/plugins/PSTOpcodes/Makefile gemrb/plugins/GAMImporter/Makefile gemrb/plugins/GUIScript/Makefile gemrb/plugins/IDSImporter/Makefile gemrb/plugins/INIImporter/Makefile gemrb/plugins/ITMImporter/Makefile gemrb/plugins/KEYImporter/Makefile gemrb/plugins/MOSImporter/Makefile gemrb/plugins/MUSImporter/Makefile gemrb/plugins/MVEPlayer/Makefile gemrb/plugins/NullSound/Makefile gemrb/plugins/OpenALAudio/Makefile gemrb/plugins/PLTImporter/Makefile gemrb/plugins/PROImporter/Makefile  gemrb/plugins/SDLVideo/Makefile gemrb/plugins/SPLImporter/Makefile gemrb/plugins/STOImporter/Makefile gemrb/plugins/TISImporter/Makefile gemrb/plugins/TLKImporter/Makefile gemrb/plugins/WEDImporter/Makefile gemrb/plugins/WMPImporter/Makefile gemrb/plugins/ZLibMgr/Makefile gemrb/docs/Makefile gemrb/docs/en/Makefile gemrb/docs/en/GUIScript/Makefile gemrb/docs/en/Tables/Makefile gemrb/docs/en/Engine/Makefile"
++ac_config_files="$ac_config_files Makefile gemrb/Makefile gemrb/includes/Makefile gemrb/override/Makefile gemrb/override/bg1/Makefile gemrb/override/bg2/Makefile gemrb/override/how/Makefile gemrb/override/iwd/Makefile gemrb/override/iwd2/Makefile gemrb/override/pst/Makefile gemrb/override/test1/Makefile gemrb/GUIScripts/Makefile gemrb/GUIScripts/bg1/Makefile gemrb/GUIScripts/bg2/Makefile gemrb/GUIScripts/iwd/Makefile gemrb/GUIScripts/iwd2/Makefile gemrb/GUIScripts/pst/Makefile gemrb/GUIScripts/test1/Make file gemrb/plugins/Makefile gemrb/plugins/Core/Makefile gemrb/plugins/2DAImporter/Makefile gemrb/plugins/ACMImporter/Makefile gemrb/plugins/AREImporter/Makefile gemrb/plugins/BAMImporter/Makefile gemrb/plugins/BIFImporter/Makefile gemrb/plugins/BMPImporter/Makefile gemrb/plugins/PNGImporter/Makefile gemrb/plugins/CHUImporter/Makefile gemrb/plugins/CREImporter/Makefile gemrb/plugins/DLGImporter/Makefile gemrb/plugins/EFFImporter/Makefile gemrb/plugins/FXOpcodes/Makefile gemrb
 /!
plugins/IWDOpcodes/Makefile gemrb/plugins/PSTOpcodes/Makefile gemrb/plugins/GAMImporter/Makefile gemrb/plugins/GUIScript/Makefile gemrb/plugins/IDSImporter/Makefile gemrb/plugins/INIImporter/Makefile gemrb/plugins/ITMImporter/Makefile gemrb/plugins/KEYImporter/Makefile gemrb/plugins/MOSImporter/Makefile gemrb/plugins/MUSImporter/Makefile gemrb/plugins/MVEPlayer/Makefile gemrb/plugins/NullSound/Makefile gemrb/plugins/OpenALAudio/Makefile gemrb/plugins/PLTImporter/Makefile gemrb/plugins/PROImporter/Makefile  gemrb/plugins/SDLVideo/Makefile gemrb/plugins/SPLImporter/Makefile gemrb/plugins/STOImporter/Makefile gemrb/plugins/TISImporter/Makefile gemrb/plugins/TLKImporter/Makefile gemrb/plugins/WEDImporter/Makefile gemrb/plugins/WMPImporter/Makefile gemrb/plugins/ZLibMgr/Makefile"
+ 
+ ac_config_files="$ac_config_files gemrb.spec"
+ 
+@@ -26977,11 +26960,6 @@
+     "gemrb/plugins/WEDImporter/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/plugins/WEDImporter/Makefile" ;;
+     "gemrb/plugins/WMPImporter/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/plugins/WMPImporter/Makefile" ;;
+     "gemrb/plugins/ZLibMgr/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/plugins/ZLibMgr/Makefile" ;;
+-    "gemrb/docs/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/Makefile" ;;
+-    "gemrb/docs/en/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/en/Makefile" ;;
+-    "gemrb/docs/en/GUIScript/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/en/GUIScript/Makefile" ;;
+-    "gemrb/docs/en/Tables/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/en/Tables/Makefile" ;;
+-    "gemrb/docs/en/Engine/Makefile") CONFIG_FILES="$CONFIG_FILES gemrb/docs/en/Engine/Makefile" ;;
+     "gemrb.spec") CONFIG_FILES="$CONFIG_FILES gemrb.spec" ;;
+ 
+   *) { { $as_echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
diff -urN files.orig/extra-patch-noportdocs-gemrb-Makefile.in files/extra-patch-noportdocs-gemrb-Makefile.in
--- files.orig/extra-patch-noportdocs-gemrb-Makefile.in	1969-12-31 16:00:00.000000000 -0800
+++ files/extra-patch-noportdocs-gemrb-Makefile.in	2009-07-07 15:21:18.000000000 -0700
@@ -0,0 +1,19 @@
+--- gemrb/Makefile.in.orig	2009-06-25 09:36:56.000000000 -0700
++++ gemrb/Makefile.in	2009-07-07 15:12:35.000000000 -0700
+@@ -189,7 +189,6 @@
+ builddir = @builddir@
+ datadir = @datadir@
+ datarootdir = @datarootdir@
+-docdir = @docdir@
+ dvidir = @dvidir@
+ exec_prefix = @exec_prefix@
+ host = @host@
+@@ -230,7 +229,7 @@
+ sysconf_DATA = GemRB.cfg.sample GemRB.cfg.subdir.sample
+ gemrb_SOURCES = GemRB.cpp 
+ gemrb_LDADD = ./plugins/Core/libgemrb_core.la
+-SUBDIRS = plugins includes GUIScripts override docs
++SUBDIRS = plugins includes GUIScripts override
+ EXTRA_DIST = GemRB.cfg* plugins-prepare.sh
+ INCLUDES = \
+ 	$(all_includes) \
--- files.diff ends here ---

--- pkg-plist.diff begins here ---
--- pkg-plist.orig	2009-06-18 03:32:24.000000000 -0700
+++ pkg-plist	2009-07-07 15:30:06.000000000 -0700
@@ -115,14 +115,8 @@
 %%DATADIR%%/GUIScripts/GUIDefines.py
 %%DATADIR%%/GUIScripts/MetaClasses.py
 %%DATADIR%%/GUIScripts/bg1/CharGen.py
-%%DATADIR%%/GUIScripts/bg1/CharGen2.py
-%%DATADIR%%/GUIScripts/bg1/CharGen3.py
-%%DATADIR%%/GUIScripts/bg1/CharGen4.py
-%%DATADIR%%/GUIScripts/bg1/CharGen5.py
-%%DATADIR%%/GUIScripts/bg1/CharGen6.py
-%%DATADIR%%/GUIScripts/bg1/CharGen7.py
-%%DATADIR%%/GUIScripts/bg1/CharGen8.py
-%%DATADIR%%/GUIScripts/bg1/CharGen9.py
+%%DATADIR%%/GUIScripts/bg1/CharGenCommon.py
+%%DATADIR%%/GUIScripts/bg1/CharGenGui.py
 %%DATADIR%%/GUIScripts/bg1/GUICG1.py
 %%DATADIR%%/GUIScripts/bg1/GUICG10.py
 %%DATADIR%%/GUIScripts/bg1/GUICG12.py
@@ -158,6 +152,7 @@
 %%DATADIR%%/GUIScripts/bg1/QuitGame.py
 %%DATADIR%%/GUIScripts/bg1/Start.py
 %%DATADIR%%/GUIScripts/bg1/TextScreen.py
+%%DATADIR%%/GUIScripts/bg2/Actor.py
 %%DATADIR%%/GUIScripts/bg2/CharGen.py
 %%DATADIR%%/GUIScripts/bg2/CharGenCommon.py
 %%DATADIR%%/GUIScripts/bg2/CharGen2.py
@@ -212,13 +207,16 @@
 %%DATADIR%%/GUIScripts/bg2/LevelUp.py
 %%DATADIR%%/GUIScripts/bg2/LoadScreen.py
 %%DATADIR%%/GUIScripts/bg2/LUHLASelection.py
-%%DATADIR%%/GUIScripts/bg2/LUSpellSelection.py
 %%DATADIR%%/GUIScripts/bg2/MessageWindow.py
 %%DATADIR%%/GUIScripts/bg2/QuitGame.py
 %%DATADIR%%/GUIScripts/bg2/Start.py
 %%DATADIR%%/GUIScripts/bg2/Start2.py
 %%DATADIR%%/GUIScripts/bg2/StartOpt.py
 %%DATADIR%%/GUIScripts/bg2/TextScreen.py
+%%DATADIR%%/GUIScripts/BGCommon.py
+%%DATADIR%%/GUIScripts/LUProfsSelection.py
+%%DATADIR%%/GUIScripts/LUSkillsSelection.py
+%%DATADIR%%/GUIScripts/LUSpellSelection.py
 %%DATADIR%%/GUIScripts/ie_action.py
 %%DATADIR%%/GUIScripts/ie_modal.py
 %%DATADIR%%/GUIScripts/ie_restype.py
@@ -321,6 +319,7 @@
 %%DATADIR%%/GUIScripts/test1/Start.py
 %%DATADIR%%/override/bg1/ability.2da
 %%DATADIR%%/override/bg1/aligns.2da
+%%DATADIR%%/override/bg1/areapro.2da
 %%DATADIR%%/override/bg1/avatars.2da
 %%DATADIR%%/override/bg1/avprefc.2da
 %%DATADIR%%/override/bg1/avprefg.2da
@@ -338,6 +337,7 @@
 %%DATADIR%%/override/bg1/fistweap.2da
 %%DATADIR%%/override/bg1/fonts.2da
 %%DATADIR%%/override/bg1/formatio.2da
+%%DATADIR%%/override/bg1/gemprjtl.ids
 %%DATADIR%%/override/bg1/gemrb.ini
 %%DATADIR%%/override/bg1/guibtact.2da
 %%DATADIR%%/override/bg1/guils.chu
@@ -393,10 +393,12 @@
 %%DATADIR%%/override/bg2/fistweap.2da
 %%DATADIR%%/override/bg2/fonts.2da
 %%DATADIR%%/override/bg2/formatio.2da
+%%DATADIR%%/override/bg2/gemprjtl.ids
 %%DATADIR%%/override/bg2/gemrb.ini
 %%DATADIR%%/override/bg2/guibtact.2da
 %%DATADIR%%/override/bg2/guiid.chu
 %%DATADIR%%/override/bg2/guils.chu
+%%DATADIR%%/override/bg2/HPBARB.2da
 %%DATADIR%%/override/bg2/item_use.2da
 %%DATADIR%%/override/bg2/itemsnd.2da
 %%DATADIR%%/override/bg2/itemspec.2da
@@ -404,7 +406,11 @@
 %%DATADIR%%/override/bg2/itemuse.2da
 %%DATADIR%%/override/bg2/k_bn_d.2da
 %%DATADIR%%/override/bg2/k_bn_e.2da
+%%DATADIR%%/override/bg2/k_bn_g.2da
 %%DATADIR%%/override/bg2/k_bn_h.2da
+%%DATADIR%%/override/bg2/k_bn_he.2da
+%%DATADIR%%/override/bg2/k_bn_hl.2da
+%%DATADIR%%/override/bg2/k_bn_ho.2da
 %%DATADIR%%/override/bg2/k_m_e.2da
 %%DATADIR%%/override/bg2/k_m_g.2da
 %%DATADIR%%/override/bg2/k_m_h.2da
@@ -412,6 +418,7 @@
 %%DATADIR%%/override/bg2/magesch.2da
 %%DATADIR%%/override/bg2/minorglb.vvc
 %%DATADIR%%/override/bg2/modal.2da
+%%DATADIR%%/override/bg2/monkbon.2da
 %%DATADIR%%/override/bg2/overlay.2da
 %%DATADIR%%/override/bg2/pathfind.2da
 %%DATADIR%%/override/bg2/pdolls.2da
@@ -427,11 +434,16 @@
 %%DATADIR%%/override/bg2/shtable.2da
 %%DATADIR%%/override/bg2/skills.2da
 %%DATADIR%%/override/bg2/slottype.2da
+%%DATADIR%%/override/bg2/spells.2da
 %%DATADIR%%/override/bg2/spentaci.vvc
 %%DATADIR%%/override/bg2/splspec.2da
 %%DATADIR%%/override/bg2/spshield.vvc
 %%DATADIR%%/override/bg2/stats.ids
 %%DATADIR%%/override/bg2/strings.2da
+%%DATADIR%%/override/bg2/wsshield.2da
+%%DATADIR%%/override/bg2/wssingle.2da
+%%DATADIR%%/override/bg2/wstwohnd.2da
+%%DATADIR%%/override/bg2/wstwowpn.2da
 %%DATADIR%%/override/how/ability.2da
 %%DATADIR%%/override/how/aligns.2da
 %%DATADIR%%/override/how/avatars.2da
@@ -650,6 +662,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/Engine/Containers.txt
 %%PORTDOCS%%%%DOCSDIR%%/Engine/Doors.txt
 %%PORTDOCS%%%%DOCSDIR%%/Engine/Effects.txt
+%%PORTDOCS%%%%DOCSDIR%%/Engine/Projectile.txt
 %%PORTDOCS%%%%DOCSDIR%%/Engine/Triggers.txt
 %%PORTDOCS%%%%DOCSDIR%%/Engine/Usability.txt
 %%PORTDOCS%%%%DOCSDIR%%/EngineChanges.txt
@@ -822,7 +835,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/GUIScript/SetControlSize.txt
 %%PORTDOCS%%%%DOCSDIR%%/GUIScript/SetControlStatus.txt
 %%PORTDOCS%%%%DOCSDIR%%/GUIScript/SetDefaultActions.txt
-%%PORTDOCS%%%%DOCSDIR%%/GUIScript/SetDefaultScrollbar.txt
+%%PORTDOCS%%%%DOCSDIR%%/GUIScript/SetDefaultScrollBar.txt
 %%PORTDOCS%%%%DOCSDIR%%/GUIScript/SetEquippedQuickSlot.txt
 %%PORTDOCS%%%%DOCSDIR%%/GUIScript/SetEvent.txt
 %%PORTDOCS%%%%DOCSDIR%%/GUIScript/SetFullScreen.txt
@@ -903,6 +916,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/Tables/fonts.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/formatio.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/guibtact.txt
+%%PORTDOCS%%%%DOCSDIR%%/Tables/HPBARB.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/item_use.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/itemuse.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/itemsnd.txt
@@ -925,10 +939,15 @@
 %%PORTDOCS%%%%DOCSDIR%%/Tables/skills.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/skillsta.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/slottype.txt
+%%PORTDOCS%%%%DOCSDIR%%/Tables/spells.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/splprot.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/states.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/strings.txt
 %%PORTDOCS%%%%DOCSDIR%%/Tables/table_template.txt
+%%PORTDOCS%%%%DOCSDIR%%/Tables/wsshield.txt
+%%PORTDOCS%%%%DOCSDIR%%/Tables/wssingle.txt
+%%PORTDOCS%%%%DOCSDIR%%/Tables/wstwohnd.txt
+%%PORTDOCS%%%%DOCSDIR%%/Tables/wstwowpn.txt
 @dirrm lib/gemrb/plugins
 @dirrm lib/gemrb
 @dirrm %%DATADIR%%/GUIScripts/bg1
@@ -947,7 +966,7 @@
 @dirrm %%DATADIR%%/override/test1
 @dirrm %%DATADIR%%/override
 @dirrm %%DATADIR%%
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/Engine
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/GUIScript
-@dirrm %%PORTDOCS%%%%DOCSDIR%%/Tables
-@dirrm %%PORTDOCS%%%%DOCSDIR%%
+@dirrmtry %%PORTDOCS%%%%DOCSDIR%%/Engine
+@dirrmtry %%PORTDOCS%%%%DOCSDIR%%/GUIScript
+@dirrmtry %%PORTDOCS%%%%DOCSDIR%%/Tables
+@dirrmtry %%PORTDOCS%%%%DOCSDIR%%
--- pkg-plist.diff ends here ---
Comment 4 Martin Wilke freebsd_committer 2009-07-14 00:24:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!